#include <bits/stdc++.h>
using namespace std;

int main(){
    int n;
    int x, y;
    cin>>n;
    for(int i=0; i<n; i++){
        cin>>x>>y;
    }
    cout<<1;
    return 0;
    #ifdef LOCAL
    freopen("in.txt","r",stdin);
    freopen("out.txt","w",stdout);
    #endif // LOCAL
}
